# Create the xmonad.dhall end result with all the binaries resolved
#
# Use it as such: callPackage ./buildXmonad.nix {} ./xmonad.dhall { inherit teams; }
{ lib, xmonad-masser, dhallPackages, runCommand }:
path:
packages:

let
    xmonadInput = runCommand "packages.dhall"
    packages
    ''
      substituteAll ${path} $out
    '';
    xmonadConfig = with dhallPackages; buildDhallPackage {
      name = "xmonad.dhall";
      code = xmonadInput;
      dependencies = [ Prelude xmonad-masser-dhall ];
      source = true;
    };

in xmonadConfig

